package com.glxp.mipsdl.req.ucloud;

public class USaleoutSignRequest {


    /**
     * signInfo : {"date_sign":"1","coperator":"1","date_unsign":"1"}
     * queryInfo : {"corp":"1","date_begin":"1","billcode":"1","maker":"1","date_end":"1","inventory":"1","warehouse":"1","calbody":"1"}
     */

    private SignInfoBean signInfo;
    private QueryInfoBean queryInfo;

    public SignInfoBean getSignInfo() {
        return signInfo;
    }

    public void setSignInfo(SignInfoBean signInfo) {
        this.signInfo = signInfo;
    }

    public QueryInfoBean getQueryInfo() {
        return queryInfo;
    }

    public void setQueryInfo(QueryInfoBean queryInfo) {
        this.queryInfo = queryInfo;
    }

    public static class SignInfoBean {
        /**
         * date_sign : 1
         * coperator : 1
         * date_unsign : 1
         */

        private String date_sign;
        private String coperator;
        private String date_unsign;

        public String getDate_sign() {
            return date_sign;
        }

        public void setDate_sign(String date_sign) {
            this.date_sign = date_sign;
        }

        public String getCoperator() {
            return coperator;
        }

        public void setCoperator(String coperator) {
            this.coperator = coperator;
        }

        public String getDate_unsign() {
            return date_unsign;
        }

        public void setDate_unsign(String date_unsign) {
            this.date_unsign = date_unsign;
        }
    }

    public static class QueryInfoBean {
        /**
         * corp : 1
         * date_begin : 1
         * billcode : 1
         * maker : 1
         * date_end : 1
         * inventory : 1
         * warehouse : 1
         * calbody : 1
         */

        private String corp;
        private String date_begin;
        private String billcode;
        private String maker;
        private String date_end;
        private String inventory;
        private String warehouse;
        private String calbody;

        public String getCorp() {
            return corp;
        }

        public void setCorp(String corp) {
            this.corp = corp;
        }

        public String getDate_begin() {
            return date_begin;
        }

        public void setDate_begin(String date_begin) {
            this.date_begin = date_begin;
        }

        public String getBillcode() {
            return billcode;
        }

        public void setBillcode(String billcode) {
            this.billcode = billcode;
        }

        public String getMaker() {
            return maker;
        }

        public void setMaker(String maker) {
            this.maker = maker;
        }

        public String getDate_end() {
            return date_end;
        }

        public void setDate_end(String date_end) {
            this.date_end = date_end;
        }

        public String getInventory() {
            return inventory;
        }

        public void setInventory(String inventory) {
            this.inventory = inventory;
        }

        public String getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(String warehouse) {
            this.warehouse = warehouse;
        }

        public String getCalbody() {
            return calbody;
        }

        public void setCalbody(String calbody) {
            this.calbody = calbody;
        }
    }
}
